package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.params.CpAddUpdateParam;
import com.zanxiang.manage.domain.params.CpListParam;
import com.zanxiang.manage.domain.vo.CpVO;
import com.zanxiang.mybatis.entity.Cp;

/**
 * @author : lingfeng
 * @time : 2022-06-22
 * @description : cp管理
 */
public interface CpService extends IService<Cp> {

    /**
     * 新增或者更新cp信息
     *
     * @param param : 新增或者更新的参数
     */
    boolean addOrUpdate(CpAddUpdateParam param);

    /**
     * 查询cp列表
     *
     * @param param : cp列表查询参数
     * @return : 返回分页信息
     */
    IPage<CpVO> list(CpListParam param);

    /**
     * 删除cp信息
     *
     * @param id : 要删除的cp信息id
     * @return : 返回删除结果
     */
    boolean deleteById(Long id);
}
