package com.zanxiang.manage.service.Impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.common.enums.DeleteEnum;
import com.zanxiang.common.utils.bean.BeanUtils;
import com.zanxiang.manage.domain.bo.PayApplicationBO;
import com.zanxiang.manage.domain.dto.PayApplicationDTO;
import com.zanxiang.manage.service.PayApplicationService;
import com.zanxiang.mybatis.entity.PayApplication;
import com.zanxiang.mybatis.mapper.PayApplicationMapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 游戏应用表 服务实现类
 *
 * @author xufeng
 * @date 2022-06-20 15:16
 */
@Service
public class PayApplicationServiceImpl extends ServiceImpl<PayApplicationMapper, PayApplication> implements PayApplicationService {

    @Override
    public Boolean saveOrUpdate(PayApplicationBO bo) {
        PayApplication app = BeanUtils.copy(bo, PayApplication.class);
        return saveOrUpdate(app);
    }

    @Override
    public List<PayApplicationDTO> list(PayApplicationBO bo) {
        PayApplication app = BeanUtils.copy(bo, PayApplication.class);
        app.setIsDelete(DeleteEnum.NO.getCode());
        List<PayApplication> result = list(new LambdaQueryWrapper<PayApplication>().setEntity(app));
        if (result.isEmpty()) {
            return null;
        }
        return BeanUtils.copyList(result, PayApplicationDTO.class);
    }

}
