package com.zanxiang.manage.service.Impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.common.utils.bean.BeanUtils;
import com.zanxiang.manage.domain.bo.PayBoxBO;
import com.zanxiang.manage.domain.dto.PayBoxDTO;
import com.zanxiang.manage.service.PayBoxService;
import com.zanxiang.mybatis.entity.PayBox;
import com.zanxiang.mybatis.mapper.PayBoxMapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 支付盒子 服务实现类
 *
 * @author xufeng
 * @date 2022-06-22 15:26
 */
@Service
public class PayBoxServiceImpl extends ServiceImpl<PayBoxMapper, PayBox> implements PayBoxService {

    @Override
    public Boolean saveOrUpdate(PayBoxBO bo) {
        PayBox app = BeanUtils.copy(bo, PayBox.class);
        return saveOrUpdate(app);
    }

    @Override
    public List<PayBoxDTO> list(PayBoxBO bo) {
        PayBox app = BeanUtils.copy(bo, PayBox.class);
        List<PayBox> result = list(new LambdaQueryWrapper<PayBox>().setEntity(app));
        if (result.isEmpty()) {
            return null;
        }
        return BeanUtils.copyList(result, PayBoxDTO.class);

    }
}
